gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Selectors.FontSelection

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes

Description

A widget for selecting fonts

Synopsis

- data FontSelection
- class VBoxClass o => FontSelectionClass o
- castToFontSelection :: GObjectClass obj => obj -> FontSelection
- gTypeFontSelection :: GType
- toFontSelection :: FontSelectionClass o => o -> FontSelection
- fontSelectionNew :: IO FontSelection
- fontSelectionGetFontName :: (FontSelectionClass self, GlibString string) => self -> IO (Maybe string)
- fontSelectionSetFontName :: (FontSelectionClass self, GlibString string) => self -> string -> IO Bool
- fontSelectionGetPreviewText :: (FontSelectionClass self, GlibString string) => self -> IO string
- fontSelectionSetPreviewText :: (FontSelectionClass self, GlibString string) => self -> string -> IO ()
- fontSelectionFontName :: (FontSelectionClass self, GlibString string) => Attr self string
- fontSelectionPreviewText :: (FontSelectionClass self, GlibString string) => Attr self string

# Detail

The `FontSelection` widget lists the available fonts, styles and sizes, allowing the user to select a font. It is used in the `FontSelectionDialog` widget to provide a dialog box for selecting fonts.

To set the font which is initially selected, use `fontSelectionSetFontName`.

To get the selected font use `fontSelectionGetFontName`.

To change the text which is shown in the preview area, use `fontSelectionSetPreviewText`.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----Box
    | +----VBox
    | +----FontSelection

# Types

data FontSelection Source #

#### Instances

Instances details

Eq FontSelection Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: FontSelection -> FontSelection -> Bool Source # (/=) :: FontSelection -> FontSelection -> Bool Source #
Ord FontSelection Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: FontSelection -> FontSelection -> Ordering Source #

(<) :: FontSelection -> FontSelection -> Bool Source #

(<=) :: FontSelection -> FontSelection -> Bool Source #

(>) :: FontSelection -> FontSelection -> Bool Source #

(>=) :: FontSelection -> FontSelection -> Bool Source #

max :: FontSelection -> FontSelection -> FontSelection Source #

min :: FontSelection -> FontSelection -> FontSelection Source #

GObjectClass FontSelection Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: FontSelection -> GObject Source # unsafeCastGObject :: GObject -> FontSelection Source #
BoxClass FontSelection Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ContainerClass FontSelection Source # |
Instance details Defined in Graphics.UI.Gtk.Types
FontSelectionClass FontSelection Source # |
Instance details Defined in Graphics.UI.Gtk.Types
VBoxClass FontSelection Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass FontSelection Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class VBoxClass o => FontSelectionClass o Source #

#### Instances

Instances details

FontSelectionClass FontSelection Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToFontSelection :: GObjectClass obj => obj -> FontSelection Source #

gTypeFontSelection :: GType Source #

toFontSelection :: FontSelectionClass o => o -> FontSelection Source #

# Constructors

fontSelectionNew :: IO FontSelection Source #

Creates a new `FontSelection`.

# Methods

fontSelectionGetFontName Source #

Arguments

:: (FontSelectionClass self, GlibString string) |
=> self |
-> IO (Maybe string) | returns the name of the currently selected font, or `Nothing` if no font is selected.

Gets the currently-selected font name.

fontSelectionSetFontName Source #

Arguments

:: (FontSelectionClass self, GlibString string) |
=> self |
-> string | `fontname` - a fontname.
-> IO Bool | returns `True` if the font was found.

Sets the currently-selected font.

fontSelectionGetPreviewText :: (FontSelectionClass self, GlibString string) => self -> IO string Source #

Gets the text displayed in the preview area.

fontSelectionSetPreviewText :: (FontSelectionClass self, GlibString string) => self -> string -> IO () Source #

Sets the text displayed in the preview area.

# Attributes

fontSelectionFontName :: (FontSelectionClass self, GlibString string) => Attr self string Source #

The X string that represents this font.

Default value: ""

fontSelectionPreviewText :: (FontSelectionClass self, GlibString string) => Attr self string Source #

The text to display in order to demonstrate the selected font.

Default value: "abcdefghijk ABCDEFGHIJK"